Subject: Re: [Bitcoin-development] Coinbase reallocation to discourage Finney attacks

From: Alex Mizrahi <[email-masked]>
Date: Wed, 23 Apr 2014 18:38:21 +0300

> And it still would. Non-collusive miners cast votes based on the outcome
> of their own attempts to double spend.
>

Individually rational strategy is to vote for coinbase reallocation on
every block.

Yes, in that case nobody will get reward. It is similar to prisoner's
dilemma: equilibrium has worst pay-off.
In practice that would mean that simple game-theoretic models are no longer
applicable, as they lead to absurd results.

> I'm using it in the same sense Satoshi used it. Honest miners work to
> prevent double spends. That's the entire justification for their existence.
> Miners that are deliberately trying to double spend are worse than useless.
>

Miners work to get rewards.
It absolutely doesn't matter whether they are deliberately trying to
double-spend or not: they won't be able to double-spend without a collusion.